Installer la dernière version de Ruby

Default
,

Bonjour,

Voilà je voudrais savoir comment installer la dernière version de Ruby ainsi que Ruby On Rails sur Mac, je travaille en local avec MAMP. Je voudrais apprendre ce language...

J'ai regardais dans tutoriel mais les tutoriels d'installation concerne Windows.

Anthony

22 Réponse

2
4140
,

Effectivement, je ne savais pas que ça marchait aussi sur mac.

Default
,

Depuis une mise à jour de Xcode, les outils de compilations ne sont plus présent dans les packages. Il faut installer la ligne de commande Xcode pour avoir les compilateurs. De là, tu pourra compiler le 1.9.2 normalement.

Pour l'installer : va dans Xcode->préférences->download->Command Line Tools-> install

Et si ça ne fonctionne pas, tappe ça dans le terminal

sudo xcode-select -switch /Applications/Xcode.app
sudo ln -s `which clang` /Applications/Xcode.app/Contents/Developer/usr/bin/
sudo ln -s `which clang++` /Applications/Xcode.app/Contents/Developer/usr/bin/
2